Partage
  • Partager sur Facebook
  • Partager sur Twitter

Mon site ne fonctionne plus [Joomla]

    21 avril 2019 à 14:02:31

    Bonjour,

    J'ai fais une mise à jour joomla de 2.5.14 à 2.5.28 jusque là tout fonctionnait bien.

    Puis, j'ai fais la mise à jour de 2.5.28 à 3.6.1 et depuis mon site n'est plus accessible, j'ai donc fais une autre mise à jour de 3.6.1 à 3.6.5, mais le site est de même.

    Pouvez-vous m'aider, svp ?

    J'ai rien trouvé sur internet. J'ai pourtant bien accès l'administration. Je suis en php 5.6 par défaut, j'ai essayé plusieurs versions, mais soit j'obtiens l'image ci-dessous, sinon si je met les versions 7.x, j'obtiens (de même si je veux accéder à l'administration) :

    Database Error: The PHP `ext/mysql` extension is removed in PHP 7, cannot use the `mysql` driver. Also, this system does not support MySQLi or PDO MySQL. Cannot instantiate database driver.

    Voici ce que le site m'affiche :

    Merci d'avance,

    Cordialement,

    -
    Edité par Guillaumedu15 21 avril 2019 à 14:03:41

    • Partager sur Facebook
    • Partager sur Twitter
      21 avril 2019 à 17:25:57

      Salut,

      Apparemment la compatibilité de PHP7 débute avec Joomla 3.9

      -
      Edité par WillyKouassi 21 avril 2019 à 17:26:36

      • Partager sur Facebook
      • Partager sur Twitter
      le bienfait n'est jamais perdu
        22 avril 2019 à 15:30:54

        Ouais mais comme tu peux le voir ça m'affiche une erreur, mais si je met la dernière version de php 7.3 j'ai des modules extensions qui sont cocher ou non. Si je test de les désélectionne ou resélectionne ça ne fait rien.

        Voici ce que j'ai dans le panel :

        J'ai vu sur internet qu'il fallait trouvé :

        JHTML::_('behavior.mootools');

        et qu'il fallait le remplacer par :

        JHtml::_('behavior.framework');

        Ou alors :

        JHtml::_('behavior.framework', true);

        Mais de base il était déjà comme le dernier, je ne vois pas quoi faire d'autre. :( 



        • Partager sur Facebook
        • Partager sur Twitter
          22 avril 2019 à 15:51:27

          Active nd_mysqli et nd_pdo_mysql. Sinon je ne parlais pas de la dernière version de PHP mais de prendre une version assez récente de JOOMLA
          • Partager sur Facebook
          • Partager sur Twitter
          le bienfait n'est jamais perdu
            22 avril 2019 à 16:39:59

            Merci pour ton aide, alors c'est la dernière version de joomla 3.9.5.

            Le site ne s'affiche toujours pas mais le panel d'administration s'affiche.

            Je ne vois pas quoi faire pour le site, tout est bien installé.

            Merci d'avance,

            • Partager sur Facebook
            • Partager sur Twitter
              22 avril 2019 à 16:57:01

              D'après une recherche rapide semble que l'extension mootools a été dépréciée depuis JOOMLA 3.0? et sûrement supprimée dans les versions récentes. Essaie de voir si tu as une extension qui l'utilise, tu fais une MàJ de l'extension ou tu la désactive si elle n'est plus maintenue.
              • Partager sur Facebook
              • Partager sur Twitter
              le bienfait n'est jamais perdu
                23 avril 2019 à 11:52:30

                Ok j'essayerai, quand vous parlez d'extension on est d'accord que ce sont les extensions de mon joomla pas ceux du panel d'administration (voir image ci-dessus) ? (C'est pour être sûr que nous parlons bien de la même chose) :)

                Et, qu'est-ce que vous entendez par "extensions" ? Plug-ins et modules ? Ou bien templates ?

                Image ci-dessous, lorsque je clique sur extensions :

                Merci :)

                • Partager sur Facebook
                • Partager sur Twitter
                  23 avril 2019 à 12:53:35

                  Dans mon dernier message , je parle effectivement de celles  de JOOMLA, à toi de vérifier les plugins et les modules s'il n'en a pas qui te crée un soucis

                  Apparemment tu as accès à ton admin (tu es revenu à php 5.6?) ou bien j'ai loupé quelque chose ?

                  • Partager sur Facebook
                  • Partager sur Twitter
                  le bienfait n'est jamais perdu
                    23 avril 2019 à 17:00:28

                    Non je suis toujours en 7.3 de php, après que tu m'est dit de cocher "nd_mysqli" et  "nd_pdo_mysql", j'ai eu accès à l'administration du site. :)

                    Du coup merci, mais il me manque l'affichage du site. Je vais tester les plugins et modules du coup. Je reviens après.

                    Par contre, est-ce que j'ai le droit de désactiver des éléments qui appartiennent à joomla sans tout faire planter ou quoi que ce soit d'autres.

                    -
                    Edité par Guillaumedu15 23 avril 2019 à 17:04:12

                    • Partager sur Facebook
                    • Partager sur Twitter
                      23 avril 2019 à 17:14:55

                      Est-ce ces 2 modules (que je ne te conseille pas de désactiver vu leur libellé) sont la cause de ton erreur d'affichage ? As-tu toujours le même message d'erreur de mootools ? Sinon il va falloir faire un rechercher/remplacer de toutes les instances de l'instruction en question. Un template peut être en cause aussi donc essaie de voir de ce côté là 

                      https://joomla.stackexchange.com/questions/4756/upgrade-to-j3-gives-jhtmlbehaviormootools-not-found 

                      • Partager sur Facebook
                      • Partager sur Twitter
                      le bienfait n'est jamais perdu
                        23 avril 2019 à 17:34:04

                        Merci pour ton aide :)

                        J'avais déjà vu ce lien, mais comme je l'ai dit plus haut il était correct.

                        Donc, les éléments liés à joomla il vaudrait mieux pas que je les touches. Je vais tester le reste.

                        • Partager sur Facebook
                        • Partager sur Twitter
                          23 avril 2019 à 17:43:19

                          Tu as toujours l'erreur avec mootools là? As-tu regardé au niveau de tes templates ?
                          • Partager sur Facebook
                          • Partager sur Twitter
                          le bienfait n'est jamais perdu
                            23 avril 2019 à 18:09:30

                            Oui ils étaient ok. Enfin j'espère avoir bien cherché. Il y a tellement de fichiers.
                            • Partager sur Facebook
                            • Partager sur Twitter
                              23 avril 2019 à 18:33:02

                              As-tu essayé de désactiver ton template actuel ? Si l'erreur persiste et que c'est plus une affaire de template on va supposer que c'est l'actif qui pose problème.
                              • Partager sur Facebook
                              • Partager sur Twitter
                              le bienfait n'est jamais perdu
                                23 avril 2019 à 20:13:35

                                dans le dossier template, j'ai plusieurs autres dossiers de template comment je suis censé savoir quel template est utilisé actuellement ?
                                • Partager sur Facebook
                                • Partager sur Twitter
                                  23 avril 2019 à 21:09:34

                                  Normalement dans ton administration extensions tu as accès aux templates, tu verras celui qui es actif
                                  • Partager sur Facebook
                                  • Partager sur Twitter
                                  le bienfait n'est jamais perdu
                                    24 avril 2019 à 13:52:13

                                    Salut :)

                                    Je crois savoir pourquoi ça ne fonctionne pas ..

                                    J'essaye de mettre à jour le template qui est utilisé, donc oui je l'ai trouvé grâce à l'aperçu, mais je ne peux pas le mettre à jour, voici le thème en question :

                                    Si je veux la mettre à jour, j'ai une erreur de type 500 :

                                    Comment faire ?

                                    Merci d'avance :)

                                    [EDIT 1]

                                    J'ai réussi à faire le MAJ en uploadant le fichier zip ( je l'ai téléchargé depuis le "Détails de l'URL" de la 1ère image ci-dessus et sur ce post)

                                    L'installation a bien réussi mais le site ne s'affiche toujours pas..

                                    Donc, je vais revoir tous les fichiers du template. J'espère que je vais y arriver parce que j'en ai ras-le-bol ...

                                    Ca fait plus d'1 mois que je suis là dessus et au début c'était la faute à l'hébergeur. :/

                                    [EDIT 2]

                                    Alors, je commence enfin à avancer, dans la dernière version de joomla je peux prévisualiser les différents thèmes, j'ai testé celui que j'utilise et comme par hasard je tombe sur la fameuse erreur, je décide de tester les autres et oh !!!! Ca fonctionne ! :pirate:

                                    Donc, j'en déduis que c'est bien un problème de template de "rocktheme".

                                    Je vais fouiller dans les fichiers et voir si je trouve pas, je prendrais un autre template.. tant pis, à moins que quelqu'un ici est une solution ? :)

                                    Je reste preneur, merci :)

                                    -
                                    Edité par Guillaumedu15 24 avril 2019 à 14:36:21

                                    • Partager sur Facebook
                                    • Partager sur Twitter
                                      24 avril 2019 à 17:17:48

                                      Le site ne s'affiche pas avec RocketTheme ?  erreur 500 ? Regarde dans tes logs pour voir les erreurs.

                                      Tu peux toujours essayer d'aller sur leur forum https://rockettheme.com/forum pour poser ta préoccupation (Si  tu n'as pas "peur" de l'anglais), peut-être qu'ils t'aideront mieux.

                                      • Partager sur Facebook
                                      • Partager sur Twitter
                                      le bienfait n'est jamais perdu
                                        24 avril 2019 à 18:51:52

                                        Yep, je vais y aller, pourtant le thème est bien compatible avec 3.9.5, donc à voir.

                                        Merci pour ton aide :)

                                        • Partager sur Facebook
                                        • Partager sur Twitter

                                        Mon site ne fonctionne plus [Joomla]

                                        × Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
                                        × Attention, ce sujet est très ancien. Le déterrer n'est pas forcément approprié. Nous te conseillons de créer un nouveau sujet pour poser ta question.
                                        • Editeur
                                        • Markdown